From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/racc/
Date: Sat, 24 Dec 2022 15:00:41 +0000 (UTC) [thread overview]
Message-ID: <1671894034.e2c2df0eb520da4e96f8adc1b050729cd42a32f0.graaff@gentoo> (raw)
commit: e2c2df0eb520da4e96f8adc1b050729cd42a32f0
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 09:34:54 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 15:00:34 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2c2df0e
dev-ruby/racc: add 1.6.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/racc/Manifest | 1 +
dev-ruby/racc/racc-1.6.2.ebuild | 54 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-ruby/racc/Manifest b/dev-ruby/racc/Manifest
index e818d1ba5770..81ac3cf76a3f 100644
--- a/dev-ruby/racc/Manifest
+++ b/dev-ruby/racc/Manifest
@@ -2,3 +2,4 @@ DIST racc-1.4.16.tar.gz 451711 BLAKE2B d3bcb72a69df255d5468054541c281bf7bd3225eb
DIST racc-1.5.2.tar.gz 434903 BLAKE2B cfbaa09c1b2e233e82228075cf979c54688e51e702cade072d42b2952100b74a53e536d904cbbf15cb04ffc74018b48e5b27a5773adf6240614c815250d47119 SHA512 73c68dd75fa35727fd93a76886dd77afbb7032271e535c6e885a4ede6822052a93a610dec8a1f84daf24903c749b30a185831ec96d651588db2a2524f3dcd477
DIST racc-1.6.0.tar.gz 470565 BLAKE2B 482b17723630dfb1d6e010c3eeb7da5a9f7b97f544d1a5020195134cd5446d28eff9a75b6c392a75970ddf024f560d2c7135abc4a2de76b581aa835c0901b524 SHA512 c19b7444bfafa0dfe3448600d10a1a09319702c37632e19569aeb947e7c035cc4067da040d45ede0dab35eaa197a55eac394715aae520fba41ed6e0c01c95e3d
DIST racc-1.6.1.tar.gz 470769 BLAKE2B 285959593b60a5883c6f6ed119832c027a28fe43238721eb2365c1871635d781be73ea5a8d53593e288745906f068a8a5e9f568181b210374cc943cc35da5b7b SHA512 bbd592eee9c015ece87c555d4546a36d2a60bd6b9559ae1f3ca4d1cff887738bee46dbb32010d87d71fe4dbe0a13d00fb392db540f6c4b64688f9a8387ca20c7
+DIST racc-1.6.2.tar.gz 470740 BLAKE2B c21e01cd7a11573774218ba97de3f58ebdbc4b138def4dfb2620b626d68e71a72f66a7e7f7644707942d4ec5f387b848aa00aa1d7dd81fc98f50b1c23ce118cb SHA512 ef577d0da440361702d15cf2127142e57d5af4146f120cd9d94ee8c8b4380810c8913c373a9969f09b50e0850a8ac04ffd22729c4abdab0670765c7379b549f6
diff --git a/dev-ruby/racc/racc-1.6.2.ebuild b/dev-ruby/racc/racc-1.6.2.ebuild
new file mode 100644
index 000000000000..597b346fd30d
--- /dev/null
+++ b/dev-ruby/racc/racc-1.6.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc README.ja.rdoc TODO ChangeLog"
+
+RUBY_FAKEGEM_GEMSPEC="racc.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/racc/cparse/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/racc/cparse"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A LALR(1) parser generator for Ruby"
+HOMEPAGE="https://github.com/tenderlove/racc"
+SRC_URI="https://github.com/tenderlove/racc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "virtual/ruby-ssl"
+
+ruby_add_bdepend "dev-ruby/rake
+ test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i -e 's/, :isolate//' Rakefile || die
+ sed -i -e '/bundler/ s:^:#:' -e '/rdoc/,/^end/ s:^:#:' Rakefile || die
+
+ # Avoid depending on rake-compiler since we don't use it to compile
+ # the extension.
+ sed -i -e '/rake-compiler/ s:^:#:' -e '/extensiontask/ s:^:#:' Rakefile
+ sed -i -e '/ExtensionTask/,/^ end/ s:^:#:' Rakefile
+ # Which means we need to generate the parser file here
+ rake lib/racc/parser-text.rb || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r doc
+
+ docinto examples
+ dodoc -r sample
+}
next reply other threads:[~2022-12-24 15:00 UTC|newest]
Thread overview: 97+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-24 15:00 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-11 9:56 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/racc/ Arthur Zamarin
2024-10-10 12:20 Arthur Zamarin
2024-10-09 2:53 Jakov Smolić
2024-10-06 18:39 Arthur Zamarin
2024-10-06 14:27 Sam James
2024-10-06 13:30 Arthur Zamarin
2024-10-06 11:18 Sam James
2024-07-31 6:03 Hans de Graaff
2024-07-17 4:38 Viorel Munteanu
2024-07-11 16:19 Hans de Graaff
2024-05-25 17:31 Arthur Zamarin
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 7:07 Hans de Graaff
2024-05-20 7:07 Hans de Graaff
2023-12-16 7:58 Hans de Graaff
2023-10-12 5:19 Hans de Graaff
2023-10-12 5:19 Hans de Graaff
2023-08-04 23:15 Sam James
2023-08-02 4:27 Sam James
2023-07-24 8:54 Jakov Smolić
2023-06-08 16:17 Hans de Graaff
2023-05-16 7:20 Sven Wegener
2023-04-10 9:04 Sam James
2023-03-29 0:11 Sam James
2023-03-28 22:13 Sam James
2023-03-28 22:12 Sam James
2023-03-28 21:53 Sam James
2023-03-28 21:51 Sam James
2023-03-28 21:44 Sam James
2023-03-28 21:44 Sam James
2023-03-04 10:25 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-12-18 12:45 Sam James
2022-12-11 6:27 Hans de Graaff
2022-12-04 17:56 Arthur Zamarin
2022-12-03 18:27 Arthur Zamarin
2022-12-03 15:12 Arthur Zamarin
2022-12-03 15:01 Arthur Zamarin
2022-12-03 10:55 Sam James
2022-12-03 10:54 Sam James
2022-12-03 10:54 Sam James
2022-12-03 9:14 Hans de Graaff
2022-04-23 5:14 Hans de Graaff
2022-03-12 7:21 Hans de Graaff
2021-08-07 9:58 Hans de Graaff
2021-08-06 13:34 Sam James
2021-08-03 23:37 Sam James
2021-07-30 15:17 Agostino Sarubbo
2021-07-30 15:14 Agostino Sarubbo
2021-07-21 10:27 Marek Szuba
2021-07-19 21:37 Sergei Trofimovich
2021-07-19 6:27 Agostino Sarubbo
2021-07-19 6:26 Agostino Sarubbo
2021-07-19 6:25 Agostino Sarubbo
2021-02-07 8:24 Hans de Graaff
2020-12-31 9:05 Hans de Graaff
2020-12-28 10:26 Hans de Graaff
2020-12-28 9:21 Hans de Graaff
2020-12-28 7:46 Hans de Graaff
2020-05-10 8:46 Hans de Graaff
2019-12-26 11:06 Hans de Graaff
2019-12-22 6:18 Hans de Graaff
2019-12-20 7:21 Hans de Graaff
2019-04-27 19:48 Aaron Bauman
2019-01-29 13:43 Mikle Kolyada
2018-12-26 8:20 Hans de Graaff
2018-04-13 8:04 Hans de Graaff
2018-04-08 22:11 Matt Turner
2018-03-21 1:38 Matt Turner
2018-03-18 19:59 Markus Meier
2018-03-14 21:29 Sergei Trofimovich
2018-03-14 8:03 Sergei Trofimovich
2018-02-18 11:28 Sergei Trofimovich
2018-02-15 21:48 Michał Górny
2018-01-23 23:01 Sergei Trofimovich
2018-01-21 20:30 Thomas Deutschmann
2018-01-21 15:47 Hans de Graaff
2017-12-25 17:02 Hans de Graaff
2017-06-28 9:35 Alexis Ballier
2017-05-09 19:20 Hans de Graaff
2017-05-09 19:20 Hans de Graaff
2017-03-01 13:05 Michael Weber
2016-12-26 19:17 Hans de Graaff
2016-12-09 6:59 Hans de Graaff
2016-04-16 21:22 Manuel Rüger
2015-12-27 9:22 Hans de Graaff
2015-11-25 6:21 Hans de Graaff
2015-10-17 5:47 Hans de Graaff
2015-10-03 8:35 Hans de Graaff
2015-08-24 5:03 Jeroen Roovers
2015-08-09 16:03 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1671894034.e2c2df0eb520da4e96f8adc1b050729cd42a32f0.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox